Bug 1376464 - [RFE] enable sharding with virt profile - /var/lib/glusterd/groups/virt
Summary: [RFE] enable sharding with virt profile - /var/lib/glusterd/groups/virt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: sharding
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Krutika Dhananjay
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1375431 1402215 1402216
Blocks: 1351503 1375849
TreeView+ depends on / blocked
 
Reported: 2016-09-15 13:34 UTC by SATHEESARAN
Modified: 2017-03-23 05:47 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1375431
Environment:
Last Closed: 2017-03-23 05:47:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description SATHEESARAN 2016-09-15 13:34:15 UTC
+++ This bug was initially created as a clone of Bug #1375431 +++

Description of problem:
-----------------------
Sharding seems to be most vital for the virt store usecase and this needs to be turned when the volume is optimized for virt-store

The following options needs to be added to the virt profile - /var/lib/glusterd/groups/virt

features.shard=on
cluster.data-self-heal-algorithm=full

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
mainline

How reproducible:
-----------------
Not applicable as this is a RFE

Steps to Reproduce:
-------------------
Not applicable as this is a RFE

Actual results:
---------------
sharding is not enabled by default by optimizing the volume for virt store

Expected results:
-----------------
Sharding should be enabled by default on optimizing the gluster volume for virt store usecase

--- Additional comment from SATHEESARAN on 2016-09-14 09:08:42 EDT ---

strict-o-direct also needs to be turned on and remote-dio to be turned off

In total there are 4 options :

features.shard=on
cluster.data-self-heal-algorithm=full
performance.strict-o-direct=on
network.remote-dio=disable

Comment 1 Atin Mukherjee 2016-09-15 15:15:12 UTC
I am moving this BZ to sharding component (although the changes could be in glusterd) as the sharding as a feature should be deciding this factor.

Comment 10 Atin Mukherjee 2016-12-01 14:55:42 UTC
upstream patch http://review.gluster.org/#/c/15995/ posted for review.

Comment 11 Pranith Kumar K 2016-12-05 04:51:10 UTC
https://code.engineering.redhat.com/gerrit/92064

Vijay is mentioning that we may have to add different profile for scale which needs discussion with Sahina/sas/Krutika. For now taking this in and a separate bug should be logged based on these discussions to get the other options in.

Comment 13 SATHEESARAN 2016-12-12 02:48:41 UTC
Based on comment11, this bug adds only sharding related options to virt profile, so updating the bug's summary accordingly

Comment 14 SATHEESARAN 2016-12-12 02:50:01 UTC
Tested with glusterfs-3.8.4-7.el7rhgs and I see that the /var/lib/glusterd/groups/virt file is updated with sharding

[root@ ~]# rpm -qf /var/lib/glusterd/groups/virt 
glusterfs-server-3.8.4-7.el7rhgs.x86_64

[root@ ~]# cat /var/lib/glusterd/groups/virt 
performance.quick-read=off
performance.read-ahead=off
performance.io-cache=off
performance.stat-prefetch=off
cluster.eager-lock=enable
network.remote-dio=enable
cluster.quorum-type=auto
cluster.server-quorum-type=server
features.shard=on
cluster.data-self-heal-algorithm=full

Marking this bug as VERIFIED

Comment 16 errata-xmlrpc 2017-03-23 05:47:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.